EDIT - task #9319

adapt name render templates to new nomenclatural source which also contain protologues as
external links

11/24/2020 07:04 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

1. The render templates still refer to the old model in which protologues have been handled via name descriptions.
2. separate definition of microreferences makes no more sense --> remove these

CDM_PART_DEFINITIONS_DEFAULT:
'descriptionPart' => array(
'description' => TRUE,
)
CDM_NAME_RENDER_TEMPLATES_DEFAULT
'descriptionPart' => TRUE,

this should be changed to 'protologue’

Updating of all default (in code) and custom template definitions in the data bases is required

Related issues:
Related to EDIT - task #9265: Adapt dataportal to new protologue handling Closed

Associated revisions

Revision c11d7e10 - 11/25/2020 02:46 PM - Andreas Kohlbecker

ref #9265 implementing test for nom-ref and protologues, also preparing for ref #9319

Revision a8393f17 - 11/25/2020 02:53 PM - Andreas Kohlbecker

ref #9265 implementing test for nom-ref and protologues, also preparing for ref #9319 - 2

History

#1 - 11/24/2020 07:04 PM - Andreas Kohlbecker
- Related to task #9265: Adapt dataportal to new protologue handling added

#2 - 11/25/2020 05:01 PM - Andreas Kohlbecker

- Subject changed from adapt name render templates to protologues now being external links of the nomenclatural source to adapt name render
templates to new nomenclatural source which also contain protologues as external links

- Description updated

#3 - 01/13/2021 04:12 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#4 - 01/27/2021 03:15 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:55 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22
#6 - 04/19/2021 04:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46
